@mixin display-flex {
  display: flex;
}

@mixin transition {
  transition: 300ms ease-in-out;
}

@mixin max-767 {
  @media screen and (max-width: 767px) {
    @content;
  }
}

@mixin truncate($max-lines) {
  display: -webkit-box;
  -webkit-line-clamp: $max-lines;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

@function sp-sizing($size) {
  @return $size * (320/750);
}

@function sp-sizing-2($size) {
  @return $size * (375/750);
}

@function sp-padding($size, $design-width) {
  @return ($size/$design-width) * 100%;
}
